Subject: Re: [MMUSIC] I-D Action: draft-ietf-mmusic-msrp-usage-data-channel-10.txt - Comment on msrp-cema attribute

From: Christer Holmberg <[email-masked]>
Date: Fri, 31 May 2019 10:51:31 +0000

What is the status regarding this?

Regards,

Christer

From: Jose M Recio <[email-masked]>
Date: Thursday, 25 April 2019 at 14.29
To: Christer Holmberg <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [MMUSIC] I-D Action: draft-ietf-mmusic-msrp-usage-data-channel-10.txt - Comment on msrp-cema attribute

On 23/4/19 4:32 AM, Christer Holmberg wrote:

Keep in mind (and that should probably better described in the document) that the normal MSRP routing procedures don't apply. The MSRP messages will be routed in the data channel, which is established between the SIP peers (or whatever signaling protocol is used). I guess proxies and application servers can look at the top-most path attribute, but that is not going to be the primary routing input. I don't think the draft says anything about that - it just seems to assume that the data channel will end up in the intended MSRP peer.

It indeed assumes that the data channel endpoint will be a MSRP peer, either another endpoint or a MSRP GW. If that's not clear enough it should be made more explicit.

If the endpoint is a GW, messages can be relayed, similar to the scenario where the connection to the GW is done using TLS, or WebSockets, instead of dc.